Last Comment Bug 729378 - SearchMenu - Search Faster in Firefox add-on creates zombie compartments
: SearchMenu - Search Faster in Firefox add-on creates zombie compartments
Status: RESOLVED FIXED
[MemShrink:P3]
:
Product: Tech Evangelism
Classification: Other
Component: Add-ons (show other bugs)
: unspecified
: All All
: -- normal (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
Mentors:
https://addons.mozilla.org/addon/sear...
Depends on:
Blocks: LeakyAddons ZombieCompartments
  Show dependency treegraph
 
Reported: 2012-02-21 18:19 PST by Kris Maglione [:kmag]
Modified: 2012-04-26 13:05 PDT (History)
5 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description Kris Maglione [:kmag] 2012-02-21 18:19:13 PST
I'm not sure exactly when or for how long this leaks, but attempting to add a new search engine for the search box on about:home leaks the following:

    http://kallout.com/ff/ccp-error.php?name=Moo&url=http%3A%2F%2Fwww.google.com%2Fsearch%3Fq%3DTEST%2520TEST%26ie%3Dutf-8%26oe%3Dutf-8%26aq%3Dt%26rls%3Dorg.mozilla%3Aen-US%3Aofficial%26client%3Dfirefox-a%26source%3Dhp%26channel%3Dnp [pid=Main]
    http://www.google.com/search?q=TEST%20TEST&ie=utf-8&oe=utf-8&aq=t&rls=org.mozilla:en-US:official&client=firefox-a&source=hp&channel=np [pid=Main]

After performing a new Google search, the first compartment disappears but the second remains. There may be other ways to leak as well, but as adding the first search engine failed for me, I've been as of yet unable to fully test the add-on.

Not CCing any of the listed authors, as none have Bugzilla accounts, but they've been notified of this bug via AMO.
Comment 1 Andrew Williamson [:eviljeff] 2012-02-29 09:28:16 PST
Developer chased via info request.
Comment 2 Andrew Williamson [:eviljeff] 2012-03-09 07:04:26 PST
developer has replied to say they expect a fixed release next week.
Comment 3 Andrew Williamson [:eviljeff] 2012-03-26 13:01:13 PDT
The 'fixed' release promised unfortunately didn't fix the leak and can still be reproduced with the details in comment 0.  I've approved as it addressed some other issues and the developer is aware of the need to fix it in the next release.
Comment 4 Andrew Williamson [:eviljeff] 2012-04-12 09:52:05 PDT
developer chased for update via AMO
Comment 5 Andrew Williamson [:eviljeff] 2012-04-12 10:03:28 PDT
Developer has replied saying they should have a new version ready next week.
Comment 6 Jorge Villalobos [:jorgev] 2012-04-26 13:05:15 PDT
Tested latest version and no zombie compartments were detected.

Note You need to log in before you can comment on or make changes to this bug.